skb_trim
Prev | Socket Buffer Functions | Next

## Name

skb_trim — remove end from a buffer

## Synopsis

`void skb_trim (` | struct sk_buff * | skb,
| unsigned int | len`)`;

## Arguments

`skb`

  buffer to alter

`len`

  new length

## Description

Cut the length of a buffer down by removing data from the tail. If the buffer is already under the length specified it is not modified. The skb must be linear.

Prev | Up | Next
skb_reserve | Home | pskb_trim_unique